package AirplaneWithRadar.PaintObjects;

import AirplaneWithRadar.IlluminatorsCount;

import java.awt.*;

public class PaintRoundedRectIlluminator implements IPaintIlluminators {
    private IlluminatorsCount count;
    public void setCount(int Count) {
        if (Count <= 10)
            this.count = IlluminatorsCount.Ten;
        else if (Count <= 20) {
            this.count = IlluminatorsCount.Twenty;
        }
        else
            this.count = IlluminatorsCount.Thirty;
    }
    public void drawIlluminators(Graphics g, Color color, int startPosX, int startPosY) {
        g.setColor(color);

        int x = startPosX;

        for (int i = 0; i < 10; i++) {
            g.fillRoundRect(x + 34, startPosY + 30, 6, 6,2,2);
            x += 8;
        }

        if (count == IlluminatorsCount.Ten) return;

        x = startPosX;

        for (int i = 0; i < 10; i++) {
            g.fillRoundRect(x + 34, startPosY + 38, 6, 6,2,2);
            x += 8;
        }

        if (count == IlluminatorsCount.Twenty) return;

        x = startPosX;

        for (int i = 0; i < 10; i++) {
            g.fillRoundRect(x + 34, startPosY + 46, 6, 6,2,2);
            x += 8;
        }
    }
}
