package AirplaneWithRadar.MovementStrategy;

public class ObjectParameters {
    private final int x;
    private final int y;
    private final int width;
    private final int height;

    public int LeftBorder() {
        return x;
    }

    public int TopBorder() {
        return y;
    }

    public int RightBorder() {
        return x + width;
    }

    public int DownBorder() {
        return y + height;
    }

    public int ObjectMiddleHorizontal() {
        return x + width / 2;
    }

    public int ObjectMiddleVertical() {
        return y + height / 2;
    }

    public ObjectParameters(int x, int y, int width, int height) {
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
    }
}
