package AirplaneWithRadar;

import java.awt.Graphics;
import java.awt.Color;

public class PaintIlluminators {
    private IlluminatorsCount count;
    public void setCount(int count) {
        if (count <= 10)
            this.count = IlluminatorsCount.Ten;
        else if (count <= 20) {
            this.count = IlluminatorsCount.Twenty;
        }
        else
            this.count = IlluminatorsCount.Thirty;
    }
    public void drawIlluminators(Graphics g, Color color, int startPosX, int startPosY) {
        g.setColor(color);

        int x = startPosX;

        for (int i = 0; i < 10; i++) {
            g.fillOval(x + 34, startPosY + 30, 5, 5);
            x += 7;
        }

        if (count == IlluminatorsCount.Ten) return;

        x = startPosX;

        for (int i = 0; i < 10; i++) {
            g.fillOval(x + 34, startPosY + 38, 5, 5);
            x += 7;
        }

        if (count == IlluminatorsCount.Twenty) return;

        x = startPosX;

        for (int i = 0; i < 10; i++) {
            g.fillOval(x + 34, startPosY + 46, 5, 5);
            x += 7;
        }
    }
}
